<!-- admin_edit_global -->
<script type="text/javascript">
  var displayed_page;

  function update_file_nfo()
  {
    var doc = document.getElementById('ifile_nfo');

    http_request=create_httpobject('get', '{TRANSLATOR_CHARSET}', '{AJAX_URL_FILE_NFO}', false);
    http_request.send(null);
    doc.innerHTML = http_request.responseText;
  }

  function load_list(pagenum, displaykey)
  {
    var doc = document.getElementById('ilist');
    var isfilter = document.getElementById('isfilter');

    ajaxurl='{AJAX_URL_EDIT_LIST}'+pagenum+'&fstatus='+isfilter.value;
    http_request=create_httpobject('get', '{TRANSLATOR_CHARSET}', ajaxurl, false);
    http_request.send(null);
    doc.innerHTML = http_request.responseText;
    displayed_page=pagenum;
    if(displaykey!='')
    {
      load_detail(displaykey, 'n');
    }
  }

  function load_detail(elemid, hidemode)
  {
    var doc = document.getElementById('itr'+elemid);

    if((doc.innerHTML != '')&&(hidemode=='y'))
    {
      doc.innerHTML = '';
    }
    else
    {
      http_request=create_httpobject('get', '{TRANSLATOR_CHARSET}', '{AJAX_URL_EDIT_LIST_DETAIL}'+escape(elemid), false);
      http_request.send(null);
      doc.innerHTML = http_request.responseText;
      change_lang(elemid);
    }
  }

  function change_lang(ref)
  {
    var lang = document.getElementById('islang'+ref);
    var doc = document.getElementById('ianothert_'+ref);

    ajaxurl='{AJAX_URL_TRANSLATION_MODEL}'+escape(lang.value)+'&fkey='+escape(ref)+'&ffrom='+lang.options[lang.selectedIndex].text.substr(0,2);
    http_request=create_httpobject('get', '{TRANSLATOR_CHARSET}', ajaxurl, false);
    http_request.send(null);
    doc.innerHTML = http_request.responseText;
  }

  function do_translation(ref)
  {
    var lang = document.getElementById('islang'+ref);
    var doc = document.getElementById('i'+ref);

    ajaxurl='{AJAX_URL_DO_TRANSLATION}'+escape(lang.value)+'&fkey='+escape(ref)+'&ffrom='+lang.options[lang.selectedIndex].text.substr(0,2);
    http_request=create_httpobject('get', '{TRANSLATOR_CHARSET}', ajaxurl, false);
    http_request.send(null);
    doc.value = http_request.responseText;
  }

  function validate_translation(ref, version)
  {
    var divst = document.getElementById('ist'+ref);

    ajaxurl='{AJAX_URL_VALIDATE_TRANSLATION}'+escape(ref)+'&fversion='+version;
    http_request=create_httpobject('get', '{TRANSLATOR_CHARSET}', ajaxurl, false);
    http_request.send(null);

    if(http_request.responseText=='ok')
    {
      divst.className='g001_graphbar3';
      update_file_nfo();
      load_detail(ref, 'n');
    }
  }

  function validate_all()
  {
    http_request=create_httpobject('get', '{TRANSLATOR_CHARSET}', '{AJAX_URL_VALIDATE_ALL}', false);
    http_request.send(null);

    if(http_request.responseText=='ok')
    {
      update_file_nfo();
      load_list(displayed_page, '');
    }
  }


  function apply_translation(ref)
  {
    var divst = document.getElementById('ist'+ref);
    var tdtext = document.getElementById('imain'+ref);
    var doc = document.getElementById('i'+ref);

    values='fvalue='+escape(doc.value);
    http_request=create_httpobject('post', '{TRANSLATOR_CHARSET}', '{AJAX_URL_APPLY_TRANSLATION}'+escape(ref), false);
    http_request.send(values);

    if(http_request.responseText=='ok')
    {
      divst.className='g001_graphbar2';
      tdtext.innerHTML=doc.value;
      update_file_nfo();
      load_detail(ref, 'n');
    }
  }

  function delete_key(ref)
  {
    var divst = document.getElementById('ist'+ref);

    http_request=create_httpobject('get', '{TRANSLATOR_CHARSET}', '{AJAX_URL_DELETE_KEY}'+escape(ref), false);
    http_request.send(null);

    if(http_request.responseText=='ok')
    {
      divst.className='g001_graphbar4';
      update_file_nfo();
      load_detail(ref, 'n');
    }
  }


  function textarea_rows(ref, numrows)
  {
    var doc = document.getElementById(ref);

    if((doc.rows+numrows>=3)&&(doc.rows+numrows<=18))
    {
      doc.rows=doc.rows+numrows;
    }
  }

  function restore_value(refid, version)
  {
    var doc = document.getElementById('i'+refid);
    var span = document.getElementById('spid'+refid+'_'+version);

    doc.value = span.innerHTML;
  }

</script>
<fieldset>
  <legend>{lang:g001_file_nfo}</legend>
  <table class="g001_table_r" width='100%'>
    <tr>
      <td class="throw">{lang:g001_type}</td>
      <td>{NFO_TYPE}</td>
      <td rowspan='5' width='50px'></td>
      <td class="throw">{lang:g001_progress_work}&nbsp;(<b>{NFO_LANG}</b>)</td>
    </tr>

    <tr>
      <td class="throw">{lang:g001_name}</td>
      <td>{NFO_NAME}</td>
      <td rowspan='4' id='ifile_nfo'></td>
    </tr>

    <tr>
      <td class="throw">{lang:g001_version}</td>
      <td>{NFO_VERSION}</td>
    </tr>


    <tr>
      <td class="throw">{lang:g001_file}</td>
      <td>{NFO_FILE}</td>
    </tr>

    <tr style="vertical-align:top;">
      <td class="throw">{lang:g001_langs}</td>
      <td>{NFO_LANGS}</td>
    </tr>
    <tr><td colspan='2'>&nbsp;</td></tr>
    <tr style="vertical-align:top;">
      <td>{lang:g001_filters}</td>
      <td>
        <SELECT onchange="load_list(1, '');" id="isfilter">
          <!-- BEGIN status_filters -->
          <option value="{status_filters.VALUE}" {status_filters.SELECT}>{status_filters.TEXT}</option>
          <!-- END status_filters -->
        </SELECT>
      </td>
    </tr>

  </table>
</fieldset>

<div id='ilist'></div>

<script type="text/javascript">
 update_file_nfo();
 load_list({PAGE}, '{DISPLAYKEY}');
</script>
